nodm (0.13-6) unstable; urgency=medium

  * debian/changelog:
    + Drop "Non-maintainer upload" line from prev changelog stanza. It was
      a maintainer upload.
  * debian/watch:
    + Fix Github watch URL and switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 15:13:36 +0200

nodm (0.13-5) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules: Don't restart nodm, fixing regressions from the move to
    debhelper compat level 12 (Closes: #853016)
  * d/control: Add missing ${misc:Pre-Depends} needed in compat level 12
  * postinst: Create reboot-required flag file to notify apt frontends
    that the user should reboot when convenient

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Mar 2019 22:18:29 +0100

nodm (0.13-4) unstable; urgency=medium

  * debian/po:
    + Update Danish debconf translation. Thanks to Joe Dalton. (Closes:
      #923126).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Mar 2019 09:38:38 +0100

nodm (0.13-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Helge Kreutzmann ]
  * Fix bug closure in previous changelog entry for the Portuguese translation.
  * Update German translation. Thanks to Helge Kreutzmann. (Closes: #906170).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/{control,compat}:
    + Drop compat file.
    + Use debhelper-compat notation in control file.
    + Bump DH compat level to version 12.
  * debian/copyright:
    + Fix copyright attributions of files in debian/.
  * debian/po:
    + Check Portuguese translation file and it seems up-to-date.
      (Closes: #872178).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Jan 2019 23:07:13 +0100

nodm (0.13-2) unstable; urgency=medium

  * debian/control:
    + Use myself in Maintainer: field for now, until someone else steps up.
      The former pkg-fso-maint team is discontinued with the closure of
      Alioth. (Closes: #899618).
    + Update Vcs-*: URLs. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.5. No changes needed.
  * debian/po:
    + Update Dutch translation. Thanks to Frans Spiesschaert. (Closes: #855473).
    + Update French translation. Thanks to Alban Vidal. (Closes: #865990).
    + Update Portuguese translation. Thanks to the Portuguese Translation
      team. (Closes: #872178).
    + Update Portuguese (BR) translation. Thanks to Adriano Rafael Gomes.
      (Closes: #898461).
  * debian/nodm.{prerm,postinst}:
    + Fully tab'ify scripts.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 Jul 2018 08:33:19 +0200

nodm (0.13-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * d/p/nodm.service-Don-t-respawn-or-fail-if-disabled-in-et.patch:
    Don't mark nodm as failed, or restart it, if it was disabled via
    /etc/default/nodm. Thanks to Ansgar Burchardt for suggesting
    the solution used here. (Closes: #861771)
  * d/nodm.postinst: Write a message to stderr, not stdout.
    Writing to stdout could be misinterpreted by debconf.
    Thanks to Ilias Tsitsimpis. (Closes: #861899)
  * d/nodm.init: Don't require xinit. nodm no longer uses the NODM_XINIT
    variable, except for the obsolete check in this script.
    (Closes: #861717 and maybe #770219)

 -- Simon McVittie <smcv@debian.org>  Mon, 08 May 2017 22:40:40 +0100

nodm (0.13-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * nodm.init: Do not fail to start if plymouth has already been
    stopped

 -- Simon McVittie <smcv@debian.org>  Tue, 02 May 2017 21:57:24 +0100

nodm (0.13-1.1) unstable; urgency=medium

  * d/p/nodm.service-Ask-Plymouth-to-stop-before-starting-no.patch:
    Order nodm.service after plymouth-quit.service
    (Closes: #860463 for systemd systems)
  * d/nodm.init: Ask Plymouth to stop before starting nodm
    (Closes: #860463 for non-systemd systems)
  * d/p/nodm.service-Use-KillMode-mixed-with-10-second-timeo.patch:
    Kill main process with SIGTERM, then kill the whole service with
    SIGKILL if it is still up after 10 seconds. This approximates the
    behaviour of the LSB init script under systemd, and prevents a
    90 second hang during shutdown under some circumstances.
  * Remove myself from Uploaders. I do not intend to take long-term
    responsibility for this package.

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Apr 2017 18:37:16 +0100

nodm (0.13-1) unstable; urgency=medium

  * New upstream release.
  * Properly separate nodm upstream from nodm Debian downstream.
    Upstream Git stays on Github (spanezz/nodm), downstream Git
    "stays" on Alioth (pkg-fso/nodm). (Closes: #830150).

  [ Mike Gabriel ]
  * debian/changelog:
    + Add post-upload closure for #638601. Bug has been closed manually
      meanwhile (on Thu 24th Mar 2016).
    + Add 0.12-1.1 post-upload closures for #703336, #694018 and #579215.
      (Closes: #703336, #694018, #579215). The nodm package now supports
      x-display-manager based choosing of default display manager on
      package installation.
  * debian/po:
    + Explain about how the NODM_X_OPTIONS env var has to be populated.
    + Update .po files and template.pot.
    + Update Danish debconf translation. (Closes: #830631). Thanks to Joe
      Dalton.
    + Update Dutch debconf translation file. (Closes: #821444). Thanks to
      Frans Spiesschaert.
    + Update Japanese debconf translation. (Closes: #819602). Thanks to
      Takuma Yamada.
    + Run debconf-updatepo.
  * debian/nodm.templates:
    + White-spaces fixes. (Closes: #819400).
  * debian/control:
    + Add Homepage: field.
    + Switch over from D xserver-xorg (meta-package) to xserver-xorg-core.
      (Closes: #841450).
    + Bump Standards-Version: to 3.9.8. No changes needed.
    + Add D (nodm): lsb-base.
    + Add Simon McVittie to Uploaders: field, due to his recent patch
      provisioning activities.
  * debian/watch:
    + Add watch file.
  * debian/nodm.{config,templates}:
    + Enable nodm by default and set debconf nodm/enabled template's priority
      to 'high'. (Closes: #592032).
  * debian/nodm.init:
    + Also check presence of system-wide Xsession and xinit executable.
  * debian/rules:
    + Add get-orig-source target.
  * debian/source/format:
    + Switch to 3.0 (quilt).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/README.Debian:
    + Update file, inform about nodm being enable by default.

  [ Simon McVittie ]
  * debian/nodm.pam:
    + Don't log warnings if ConsoleKit isn't installed. (Closes: #830252,
      #835261).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 23 Jan 2017 13:37:54 +0100

nodm (0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patches from Simon McVittie to add a native systemd service
    file (Closes: #796203, #703336, #694018, #579215).

 -- Arto Jantunen <viiru@debian.org>  Wed, 18 Jan 2017 17:29:22 +0200

nodm (0.12-1) unstable; urgency=low

  [ Enrico Zini ]
  * Upstream code:
    - Reformat README as markdown.
  * debian/control:
    + Provides x-display-manager.

  [ Mike Gabriel ]
  * Acknowledge previous NMUs and work-in their changes (0.11-1.1, 0.11-1.2
    and 0.11-1.3). Also work through all open bugs with patches and apply them
    if appropriate; see below for details. (Closes: #747077).
  * Upstream code:
    - Bump upstream version to 0.12. Become new co-maintainer of nodm in Debian.
      (Closes: #813210).
    - xsession-child.c: Set PAM_XDISPLAY pam item. (Closes: #713960). Thanks to
      Sjoerd Simons for providing the patch.
    - Makefile.*: Place libraries in LIBS, not LDFLAGS. (LP:#771123). Thanks to
      Ilya Barygin <barygin@gmail.com> for providing the fix in Ubuntu.
      (Closes: #638601).
    - README.md: Fix miscounting of amount of environment variables. (Closes:
      #746700, #633089). Thanks to Dan Jacobson for pointing this out.
    - Drop .gitignore file. Let's rather provide a working make (dist)clean.
    - Makefile.am: line-wrap variable assignments with file lists.
    - Makefile.am: Add various build cruft files to DISTCLEANFILES.
    - xserver.c: Don't FTBFS when built with -Werror=unused-result. (Closes:
      #638600).
    - Whitespace clean-up at EOL.
    - Add EOL chars for help output of the --nested cmdline option.
      (Closes: #766123).
  * debian/control:
    + Process with wrap-and-sort.
    + Bump Standards: to 3.9.7. Required change: DEP-5 compliant copyright file.
    + Add B-D: autoreconf.
    + Add B-D: automake.
    + Update versioned B-D for debhelper: (>= 9).
    + Add versioned B-D: dpkg-dev (>= 1.16.1.1). Helps us with hardening the
      build of nodm.
    + Use encrypted URLs for Vcs-*: fields.
  * debian/compat:
    + Bump to dh version 9.
  * debian/source/format:
    + Add this file and set it to "1.0" for now.
  * debian/po:
    + Reword debconf question "Start nodm at boot" to "Enable nodm". (Closes:
      #633498).
    + Add Japanese DebConf translation file. Thanks to "victory" for providing
      it. (Closes: #718920).
    + Update debconf translations files after we have added a new configuration
      item.
  * debian/copyright{,.in}:
    + Provide auto-generated draft of a DEP-5 compliant copyright file.
    + Make copyright file DEP-5 compliant.
  * debian/nodm.docs:
    + README is now README.md.
  * debian/nodm.init:
    + Provide LSB description header.
    + Make NODM_OPTIONS configurable via /etc/default/nodm. (Closes: #766124).
  * debian/rules:
    + Correctly evoke ./autogen.sh script at build time.
    + Harden the build of nodm using dpkg's buildflags.mk include.

  [ Sjoerd Simons ]
  * debian/<debconf>:
    + Add support for NOXM_X_TIMEOUT via debconf. (Closes: #704128). Based on
      work by Hector Oron.

  [ Simon McVittie ]
  * debian/control:
    + Add D (nodm): xserver-xorg. (Closes: #689703).
  * debian/rules:
    + Rely on LSB headers for dependency/sequence info. (Closes: #584179).

  [ Emanuele Aina ]
  * debian/control:
    + Drop x11-xserver-utils dependency. (Closes: #680269).
  * debian/nodm.pam:
    + Fix PAM based consolekit integration of sessions. (Closes: #680264).

  [ Niklas Fiekas ]
  * debian/nodm.init:
    + Support "status" argument in nodm init script. (Closes: #753304).

  [ Chris Lamb ]
  * debian/nodm.init:
    + Wait for nodm to exit. (Closes: #638290).
    + Make initscript less chatty. (Closes: #638293).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Mar 2016 16:13:22 +0100

nodm (0.11-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "subprocess installed post-installation script returned error exit
    status 10": nodm.config: don't fail if the nodm/xinit debconf value was
    already unregistered. (Closes: #642903)

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Sep 2012 16:47:18 +0200

nodm (0.11-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - German (Thomas Müller).  Closes: #646630
    - Portuguese (Miguel Figueiredo).  Closes: #646846
    - Dutch; (Jeroen Schot).  Closes: #654371

 -- Christian Perrier <bubulle@debian.org>  Wed, 11 Jan 2012 07:13:42 +0100

nodm (0.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
  * Danish (Joe Hansen).  Closes: #600741
  * French (Christian Perrier).  Closes: #638432
  * Russian (Yuri Kozlov).  Closes: #639428
  * Swedish (Martin Bagge / brother).  Closes: #640048
  * Czech (Martin Sin).  Closes: #645590
  * Slovak (Slavko).  Closes: #645597
  * Danish (Joe Hansen).  Closes: #645690
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #646185
  * Spanish; (# traductor (campo Last-Translator) y ponga en copia a la
    lista de Omar Campagne).  Closes: #646506

 -- Christian Perrier <bubulle@debian.org>  Tue, 25 Oct 2011 02:13:08 +0200

nodm (0.11-1) unstable; urgency=low

  * New upstream version
     - do not force "-nolisten tcp". Closes: #635992
  * Do not require $NODM_XINIT to exist in order to start: that env var is now
    ignored. Closes: #634901, #638168
  * Do not require that $NODM_XSESSION points to a valid script now: nodm can
    start without it
  * Removed nodm/xinit form debconf and updated debconf templates

 -- Enrico Zini <enrico@debian.org>  Wed, 17 Aug 2011 13:55:54 +0200

nodm (0.10-1) unstable; urgency=low

  * New upstream version
     - default X start timeout increased to 30 seconds. Closes: #633089
     - X start timeout configurable via NODM_X_TIMEOUT

 -- Enrico Zini <enrico@debian.org>  Tue, 19 Jul 2011 23:35:24 +0200

nodm (0.9-1) unstable; urgency=low

  * Keep a connection to the server open during its whole lifetime, to avoid
    resets. Closes: #633096.

 -- Enrico Zini <enrico@debian.org>  Sat, 09 Jul 2011 11:33:58 +0200

nodm (0.8-1) unstable; urgency=low

  [ Marco Amadori ]
  * Update Standards-Version to 3.9.1 (no changes required).

  [ Enrico Zini ]
  * Redesigned like a proper display manager.
    Closes: #540201, #531869
  * If vtN is present in NODM_X_OPTIONS, disable VT allocation.
    Closes: #538797, #538796

 -- Enrico Zini <enrico@debian.org>  Thu, 07 Jul 2011 01:43:34 +0200

nodm (0.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Czech (Martin Sin).  Closes: #589290
    - Spanish (Omar Campagne).  Closes: #591611
    - Italian (Vincenzo Campanella).  Closes: #597311
    - Finnish (Esko Arajärvi).  Closes: #600636

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Oct 2010 07:27:00 +0200

nodm (0.7-1) unstable; urgency=low

  * New upstream version
     - Fix configure.ac PAM bits. Thanks to Mathieu Bridon and Sebastian
       Dziallas.
  * Do not build on freebsd until someone comes up with a patch (see #575265).
  * Added dependency on x11-xserver-utils. Closes: #559173.
  * Added /etc/insserv.conf.d/nodm. Closes: #554840.
  * Do not depend on a terminal emulator. Closes: #561409.
  * Updated Swedish translation; thanks to Arne Anka and Martin Bagge.
    Closes: #539075

 -- Enrico Zini <enrico@debian.org>  Sun, 23 May 2010 15:16:24 +0100

nodm (0.6-2) unstable; urgency=low

  * Added kdb to initscript Should-Start:. Closes: #548104.
    Thanks to Michael Schutte.
  * Added hal and bluetooth to initscript Should-Start. Closes: #548776.
  * Updated German translation, thanks Thomas Mueller. Closes: #544907.
  * Updated French translation, thanks Christian Perrier. Closes: #540873.
  * Updated Portuguese translation, thanks Miguel Figueiredo. Closes: #538904.
  * Updated Russian translation, thanks Yuri Kozlov. Closes: #538365.

 -- Enrico Zini <enrico@debian.org>  Tue, 29 Sep 2009 11:27:25 +0100

nodm (0.6-1) unstable; urgency=low

  * New upstream version
     - try harder to open the console device. Closes: #538640.

 -- Enrico Zini <enrico@debian.org>  Sun, 26 Jul 2009 20:39:25 +0200

nodm (0.5-1) unstable; urgency=low

  * New upstream version
     - truncate ~/.xsession-errors on startup. Closes: #531194.
     - implemented dynamic VT allocation. Closes: #504842.
  * Removed conflicts with the other X display managers.
  * Updated standards-version, no changes required.

 -- Enrico Zini <enrico@debian.org>  Fri, 24 Jul 2009 01:52:32 +0200

nodm (0.4-1) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #525149
  * [Debconf translation updates]
    - Swedish. Closes: #525693
    - Portuguese. Closes: #525697
    - Finnish. Closes: #526366
    - French. Closes: #526388
    - Italian. Closes: #526602
    - Galician. Closes: #527332
    - Russian. Closes: #527998
    - German. Closes: #528014
    - Russian. Closes: #527998
    - Czech. Closes: #528209
    - Spanish. Closes: #528246

  [ Enrico Zini ]
  * New upstream version
     - Set USERNAME, PWD and SHELL in the environment. Closes: #525908.
  * Remove /etc/default/nodm on purge. Closes: #527379.

 -- Enrico Zini <enrico@debian.org>  Thu, 14 May 2009 14:40:50 +0100

nodm (0.3-2) unstable; urgency=low

  [Joachim Breitner]
   * Reviewed Debconf templates and debian/control (Closes: #525149)
   * Updated Portuguese translation for debconf messages, thanks to Américo
     Monteiro (Closes: #525697)
   * Swedish strings for nodm debconf, thanks to Martin Bagge
     (Closes: #525693)

  [Enrico Zini]
   * Set the maintainer to be the pkg-fso list

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 Apr 2009 22:04:54 +0200

nodm (0.3-1) unstable; urgency=low

  * Make a non-native packge and create a .orig.tar.gz with make dist before
    building the package, fixes "executable /usr/sbin/nodm disappeared"
    (Closes: #523977)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 14 Apr 2009 10:25:30 +0200

nodm (0.3) unstable; urgency=low

  * Fix "initscript ignores NODM_ENABLED=false" by removing bashism, thanks to
    Justin B Rye for the patch (Closes: #523004)
  * Include Swedish strings for nodm debconf, thanks to Martin Bagge for the
    translation. (Closes: #522976)
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Apr 2009 20:37:11 +0200

nodm (0.2) unstable; urgency=low

  * Reimplemented to be more of a display manager, with respawn if X dies,
    logging and 'nodm' PAM session
  * Configuration via preseeding
  * Added myself to Uploaders
  * Acknowledged Truelite srl in debian/copyright
  * Added PAM configuration
  * Upload to unstable

 -- Enrico Zini <enrico@debian.org>  Mon, 23 Feb 2009 20:51:26 +0000

nodm (0.1) pkg-fso; urgency=low

  * Rename to nodm
  * Removal of zhone-session and matchbox-keyboard-toggle
  * Make sure upgrades do not fail beause nodm is alreay running

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Oct 2008 22:44:27 +0200

zhone-session (0.4) pkg-fso; urgency=low

  * Use su -l to start session, for a proper environment
  * Remove pidfile after stopping
  * Add comment about /etc/X11/Xwrapper.config

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Sep 2008 23:31:53 +0200

zhone-session (0.3) pkg-fso; urgency=low

  [ Luca Capello ]
  * debian/control: add Vcs-* fields
  * zhone-session: do not show cursor
  * zhone-session.init: (Closes: #496344) check for all binaries
    available
  * debian/control: Depends: on xinit and x11-common for the init script

  [ Joachim Breitner ]
  * copyright file and description
  * Do not restart zhone-session on restart, to not kill X sessions
  * Disable tcp listening for the X server

 -- Joachim Breitner <nomeata@debian.org>  Wed, 03 Sep 2008 22:21:46 +0200

zhone-session (0.2) pkg-fso; urgency=low

  * Depend on fso-frameworkd

 -- Joachim Breitner <nomeata@debian.org>  Tue, 12 Aug 2008 20:17:07 -0300

zhone-session (0.1) pkg-fso; urgency=low

  * Initial release.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 10 Aug 2008 19:46:39 -0300
